Get webhook source
curl --request GET \
--url https://api.naturalead.ai/api/knowledge-bases/{id}/webhooks/{whId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.naturalead.ai/api/knowledge-bases/{id}/webhooks/{whId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.naturalead.ai/api/knowledge-bases/{id}/webhooks/{whId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"accountId": "<string>",
"knowledgeBaseId": "<string>",
"name": "<string>",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"steps": [
{
"name": "<string>",
"order": 123,
"url": "<string>",
"method": "GET",
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"body": "<string>",
"extractions": [
{
"variableName": "<string>",
"jsonPath": "<string>",
"useAsContext": false
}
],
"fanOut": {
"sourcePath": "<string>",
"itemVariable": "item",
"rateLimit": {
"delayMs": 123
}
},
"retry": {
"maxAttempts": 0,
"initialDelayMs": 1000,
"maxDelayMs": 30000,
"backoffMultiplier": 2
},
"onError": "fail",
"timeoutMs": 123
}
],
"flowInputs": [
{
"name": "<string>",
"value": "<string>"
}
],
"url": "<string>",
"method": "<string>",
"headers": {},
"body": "<string>",
"auth": {},
"intervalMinutes": 123,
"timeoutMs": 123,
"lastTriggeredAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}Knowledge Bases
Get Webhook Source
Returns details of a specific webhook source.
Requires knowledge:view permission.
GET
/
api
/
knowledge-bases
/
{id}
/
webhooks
/
{whId}
Get webhook source
Authorizations
Bearer token using an API key (format nl_live_* or nl_test_*)
Response
Webhook source details
Unique identifier
Owning account ID
Parent knowledge base ID
Webhook source name
Whether the webhook source is active
Ordered list of execution steps
Show child attributes
Show child attributes
Input variables for the step flow
Show child attributes
Show child attributes
URL to fetch content from
HTTP method
HTTP headers
Show child attributes
Show child attributes
Request body
Authentication configuration
Polling interval in minutes
Request timeout in milliseconds
Timestamp of the last trigger